<?php

namespace App\Enums;

enum GeneralType: string
{
    case Aso = 'Aso';
    case Hubs = 'Hubs';
    case Management = 'Management';
    case Mc = 'Mc';
    case Other = 'Other';
    case Research = 'Research';

    public function label(): string
    {
        return match($this) {
            self::Aso => 'ASO',
            self::Hubs => 'Hubs',
            self::Management => 'Management',
            self::Mc => 'MC',
            self::Other => 'Other',
            self::Research => 'Research',
        };
    }
}
